﻿namespace DataSharing.Share.Dtos.YiBin.OtherPlatformsYB
{
    public class AcceptTypeListDto
    {
        /// <summary>
        /// 
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Value { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度参数
    /// </summary>
    public class WriteInfoReturnDto
    {
        public string LetterCode { get; set; }

        public string LetterPwd { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度
    /// </summary>
    public class GetFlowInfoReturnDto
    {
        /// <summary>
        /// 办理部门
        /// </summary>
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理人
        /// </summary>
        public string AcceptUser { get; set; }

        /// <summary>
        /// 办理意见
        /// </summary>
        public string AcceptContent { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        public string AcceptState { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        public string AcceptDate { get; set; }

        /// <summary>
        /// 是否完结
        /// </summary>
        public string AcceptEnd { get; set; }
    }

    /// <summary>
    /// 2.3.4查询办理结果
    /// </summary>
    public class GetFlowDetailReturnDto
    {
        /// <summary>
        /// 办理状态 0办理中  1已完成
        /// </summary>
        public string state { get; set; }

        /// <summary>
        /// 办理结果内容
        /// </summary>
        public string content { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理用户
        /// </summary>
        public string AcceptUser { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        public DateTime? AcceptDate { get; set; }
    }

    /// <summary>
    /// 网络理政办件结果查询
    /// </summary>
    public class WllzOrderInfoReturnDto
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        public string State { get; set; }

        /// <summary>
        /// 办理结果
        /// </summary>
        public string Ccontent { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        public string AcceptDate { get; set; }
    }
}
