﻿using DataSharing.Share.Requests;

namespace DataSharing.Share.Dtos.HotlineWeb
{
    public record QuerySendTaskDto : PagedKeywordRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// Id,空查全部
        /// </summary>
        public string? Id { get; set; }

        /// <summary>
        /// 是否推送成功
        /// </summary>
        public bool? IsSuccess { get; set; }
    }
}
